Skip to content

finops module route (requires finops:budget:write)

POST
/v1/m/finops/cost-centers
curl --request POST \
--url https://example.com/v1/m/finops/cost-centers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "created_at": "example", "description": "example", "id": "example", "metadata": { "additionalProperty": "example" }, "name": "example", "owner": "example", "status": "", "updated_at": "example" }'

Creates a cost center from the posted document, defaulting its status to active.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
code
required
string
>= 1 characters
created_at
string
description
string
id
string
metadata
object
key
additional properties
string
name
required
string
>= 1 characters
owner
string
status

Lifecycle status; empty or omitted defaults to active.

string
default: active
Allowed values: "" active archived
updated_at
string

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}